# PetscOptionsHead

Puts a heading before listing any more published options. Used, for example, in KSPSetFromOptions_GMRES().

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscOptionsHead(const char head[])

Collective on the communicator passed in PetscOptionsBegin()

### Input Parameter

head -the heading text

Notes: Must be between a PetscOptionsBegin() and a PetscOptionsEnd()

Can be followed by a call to PetscOptionsTail() in the same function.

### See Also

PetscOptionsGetInt(), PetscOptionsGetReal(),
PetscOptionsHasName(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsTruth(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsTruthGroupBegin(), PetscOptionsTruthGroup(), PetscOptionsTruthGroupEnd(), PetscOptionsList(), PetscOptionsEList()

Level:intermediate
Location: src/sys/objects/aoptions.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages